Reverse a remittance transaction
Base URL not set in the spec
Allows reversing a remittance only on the same day of the operation.
Authorization
The spec does not declare an authentication scheme for this endpoint.
Request body application/json · required
amount string requiredThe amount of the remittance to be reversed.
reference string requiredReference number of the remittance transaction.
reversal_reason string requiredReason for reversing the remittance.
WANTS_CASH WRONG_TX OUT_OF_CHECKS ID_PROBLEM Responses
200 Successful reversal of the remittance transaction. application/json
status string The status of the reversal.
reversal_date_time string (date-time) Timestamp of the reversal operation.
400 Invalid request or remittance cannot be reversed.
403 Reversal period expired.
This request is in the Monato · Remittances Postman collection.Download collection
Request
curl -X DELETE "$BASE_URL/v2/remittances/receive_reversal" \
-H "Content-Type: application/json" \
-d '{
"amount": "1596.00",
"reference": "23033104",
"reversal_reason": "WRONG_TX"
}'const body = JSON.stringify({
"amount": "1596.00",
"reference": "23033104",
"reversal_reason": "WRONG_TX"
});
const res = await fetch(`${BASE_URL}/v2/remittances/receive_reversal`, {
method: "DELETE",
headers: {
"Content-Type": "application/json",
},
body,
});
const data = await res.json();import requests
payload = {
"amount": "1596.00",
"reference": "23033104",
"reversal_reason": "WRONG_TX"
}
res = requests.delete(
f"{BASE_URL}/v2/remittances/receive_reversal",
headers={
"Content-Type": "application/json",
},
json=payload,
)
data = res.json()Response
Response 200
{
"status": "reversed",
"reversal_date_time": "2025-03-28T00:36:54.000Z"
}